import { TreeItemService } from '../tree-item/tree-item.service';
export declare class TreeExpandComponent {
    private treeItemService;
    checkedIcon: string;
    uncheckedIcon: string;
    set checked(v: boolean);
    get checked(): boolean;
    private _checked;
    constructor(treeItemService: TreeItemService, _checkedIcon: string, _uncheckedIcon: string);
    change(b: boolean): void;
}
